For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • POSTCreate Store
              • GETGet Store
              • POSTCreate Store Login URL
              • GETList Stores
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceStores

Create Store

Beta
POST
https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/:account_id/stores
POST
/franchises/franchise_uuid/v1/accounts/:account_id/stores
$curl -X POST https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id/stores \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": "S-0001934",
> "plan_sku": "TRIAL-30DAY",
> "store_name": "Husky",
> "country": "US",
> "settings": {
> "more_settings": "etc..."
> }
>}'
1{
2 "data": {
3 "id": "string"
4 }
5}
This endpoint allows you to create a new store for a merchant on a specific account under your franchise.
Was this page helpful?
Previous

Create Account with Set Password

Next

Get Store

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

account_idstringRequired

The account ID set when the account was created. Can be retrieved through a GET request to /accounts.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
idstringRequired

Associated store id within partner’s system. Must be unique within your franchise.

plan_skustringRequired

Determines the BigCommerce plan (delegated billing) or trial length (non-delegated billing). The allow list for SKUs is configured on your franchise

store_namestringRequired

Initial store name used across the BigCommerce control panel and the merchant’s theme. When a merchant has multiple stores on their account, this name is used to identify each store in the merchant’s store switcher. The name can be updated by the merchant after store creation. The name has a 255 character limit and must be unique to the account.

countrystringRequired

ISO 3166-1 alpha-2 code (i.e., ‘US’). country controls the ‘Default Country’ option for the store. For more information, see Locale.

country also influences the ‘Default Language’ for a store. If the country has an associated language that the theme supports, the default language will align with the country value. For example, a store created with country value of FR will have French as the default language. For more information, visit the Store Profile FAQ.

regionenumOptional
If no region is provided, the server location where the store is provisioned will default to what BigCommerce has set as the default for your franchise.
Allowed values:
settingsobjectOptional
Object used to send any partner specific settings needed for configuring apps or other dashboard specific settings, such as shipping. These settings must be added to the allow list on your franchise or the request will be rejected.

Response

Accepted
dataobject

Errors

401
Unauthorized Error
409
Conflict Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}

The MIME type of the response body.